import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/job_template_s_g_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/job_template_s_g_entity.g.dart';

@JsonSerializable()
class JobTemplateSGEntity {
	int total = 0;
	List<JobTemplateSGRows> rows = [];

	JobTemplateSGEntity();

	factory JobTemplateSGEntity.fromJson(Map<String, dynamic> json) => $JobTemplateSGEntityFromJson(json);

	Map<String, dynamic> toJson() => $JobTemplateSGEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class JobTemplateSGRows {
	int id = 0;
	String? name = null;
	String? contact = null;
	@JSONField(name: "created_by")
	String? createdBy = null;
	@JSONField(name: "contact_no")
	String? contactNo = null;
	@JSONField(name: "created_at")
	String? createdAt = null;
	@JSONField(name: "updated_at")
	String? updatedAt = null;
	@JSONField(name: "action_list")
	List<String> actionList = [];
	String? note = null;

	JobTemplateSGRows();

	factory JobTemplateSGRows.fromJson(Map<String, dynamic> json) => $JobTemplateSGRowsFromJson(json);

	Map<String, dynamic> toJson() => $JobTemplateSGRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}